### Virtual Method

# Ide SymbolResolver get_symbol_tree_finish

#### Declaration

    IdeSymbolTree*
    get_symbol_tree_finish (
      IdeSymbolResolver* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to get the symbol tree for the requested file.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| No description available.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `IdeSymbolTree`
| An `IdeSymbolTree`; otherwise `NULL` and `error` is set.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.